
brainvisa-development - Defect #12733

bv_maker_pure_python.pth is never cleared

11/06/2015 02:44 PM - Cointepas, Yann

Status: New Start date: 11/06/2015

Priority: Normal Due date:  

Assignee: Cointepas, Yann % Done: 0%

Category: brainvisa-cmake Estimated time: 0:00 hour

Target version: brainvisa-4.7 Spent time: 0:00 hour

Resolution:    

Description

For pure python bv_maker modules, there is a special configuration code that make sure that the Python source of each component

is in sys.path. It rely on a file python/sitecustomize/bv_maker_pure_python.pth located in the build directory. Each component code is

independent and just make sure that its source directory is in this file. But this file is never cleared, therefore directories put here

once are here forever. Moreover, directories are added at the end. Thus older directories are first in the list.

History

#1 - 31/07/2015 02:52 PM - Cointepas, Yann

- Subject changed from bv_maker_pure_python.pth is never cleares to bv_maker_pure_python.pth is never cleared

- Assignee set to Cointepas, Yann

- Target version set to development-4.5

#2 - 31/07/2015 03:50 PM - Cointepas, Yann

- Target version changed from development-4.5 to brainvisa-4.5

#3 - 26/09/2017 02:54 PM - Cointepas, Yann

- Target version changed from brainvisa-4.5 to brainvisa-4.6

#4 - 26/09/2017 03:09 PM - Riviere, Denis

- Target version changed from brainvisa-4.6 to brainvisa-4.7

#5 - 30/10/2018 12:15 PM - Riviere, Denis

- Category set to brainvisa-cmake
